Debian Bug report logs - #488252
gnome-system-tools: don't inadvertantly change the users home directory

version graph

Package: gnome-system-tools; Maintainer for gnome-system-tools is Jose Carlos Garcia Sogo <jsogo@debian.org>; Source for gnome-system-tools is src:gnome-system-tools.

Reported by: James Westby <jw+debian@jameswestby.net>

Date: Fri, 27 Jun 2008 11:15:04 UTC

Severity: important

Tags: patch

Found in version gnome-system-tools/2.22.0-1

Fixed in version gnome-system-tools/2.22.1-5

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488252; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: submit@bugs.debian.org
Subject: gnome-system-tools: don't inadvertantly change the users home directory
Date: Fri, 27 Jun 2008 12:15:57 +0100
[Message part 1 (text/plain, inline)]
Package: gnome-system-tools
Version: 2.22.0-1
Severity: minor
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid ubuntu-patch
Forwarded: http://bugzilla.gnome.org/show_bug.cgi?id=523180

Hi,

If the administrator has set up profiles (we do by default in Ubuntu)
then if a users home directory differs from that which their profile
would suggest (e.g. root on Ubuntu), then changing anything about
that user will change their home directory.

Please see

  http://bugzilla.gnome.org/show_bug.cgi?id=523180

and

  https://bugs.launchpad.net/bugs/198172

for more information.

The attached patch fixes this by using the user's home directory if
they already exist.

Thanks,

James

[26_users_home_dir.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488252; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #10 received at 488252@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: James Westby <jw+debian@jameswestby.net>, 488252@bugs.debian.org
Subject: Re: Bug#488252: gnome-system-tools: don't inadvertantly change the users home directory
Date: Tue, 08 Jul 2008 18:35:34 +0200
[Message part 1 (text/plain, inline)]
James Westby wrote:
> If the administrator has set up profiles (we do by default in Ubuntu)
> then if a users home directory differs from that which their profile
> would suggest (e.g. root on Ubuntu), then changing anything about
> that user will change their home directory.

I think it doesn't make sense to add this unless #488256 is accepted (either at
Debian or upstream, and if it's done upstream I'd hope this is fixed there too).

Emilio

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488252; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #15 received at 488252@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: Emilio Pozuelo Monfort <pochu@ubuntu.com>
Cc: 488252@bugs.debian.org
Subject: Re: Bug#488252: gnome-system-tools: don't inadvertantly change the users home directory
Date: Tue, 08 Jul 2008 17:53:31 +0100
On Tue, 2008-07-08 at 18:35 +0200, Emilio Pozuelo Monfort wrote:
> James Westby wrote:
> > If the administrator has set up profiles (we do by default in Ubuntu)
> > then if a users home directory differs from that which their profile
> > would suggest (e.g. root on Ubuntu), then changing anything about
> > that user will change their home directory.
> 
> I think it doesn't make sense to add this unless #488256 is accepted (either at
> Debian or upstream, and if it's done upstream I'd hope this is fixed there too).

I would suggest that it is still worth having as an admin could
add profiles locally, and this bug can have quite nasty consequences.

While it is probably rare for an admin to do this it would seem
sensible to protect them from a known bug.

Thanks,

James






Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488252; Package gnome-system-tools. (Fri, 10 Apr 2009 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taurus <iso_eh@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. (Fri, 10 Apr 2009 08:12:02 GMT) Full text and rfc822 format available.

Message #20 received at 488252@bugs.debian.org (full text, mbox):

From: Taurus <iso_eh@yahoo.com>
To: 488252@bugs.debian.org
Subject: viewing root properties may change root's home directory to /home/root
Date: Fri, 10 Apr 2009 01:06:51 -0700 (PDT)
[Message part 1 (text/plain, inline)]
April 9, 2009.   Debian 5.0  i386

While adding myself to the scanner group using menu 'System/Administration/Users and Groups'  I noticed root was also listed.  So I selected it and selected the button to view its properties.  Clicking the tab "user privileges" I see that root has no privileges selected.  Next,  I select the tab 'Advanced. Here I see that root's home directory is '/home/root'.   Also.. root's default shell is '/bin/bash'.  After viewing this.. and exiting by clicking 'OK',   lots of things don't work anymore.  
'SU' works in a user shell  but after jumping into the 'root' shell the command 'nautilus --browser' doesn't work.. nautilus can't locate the non-existent directory /home/root.  
Synaptic won't work.  gksu doesn't work.  Gedit doesn't work from the root terminal prompt. They have problems with the missing home directory.  The system is compromised. 
Ref: 


          Bug #198172 reported
          by Corinne Toure
          on 2008-03-03
          (Activity log)

      
      

          
            
            Bug #198172: 
at https://bugs.launchpad.net/debian/+source/gnome-system-tools/+bug/198172
http://bugzilla.gnome.org/show_bug.cgi?id=523180


Observe:  The fix has not propagated to my Debian 5.0 Lenny gnome. So, corrected the root home directory  manually back to /root via the menu.  Upon re-entering the same menu 'System/Administration/Users and Groups' the home directory for root is now corrected and correctly displayed in the first panel. Going again to the properties/advanced tab for root, the menu''s logic has again filled in the home directory as /home/root.   Cancelling out of the menu's advanced panel aborts saving the suggested directory.  Whether it's important or not the suggested fix will not correct  the root home directory back to /root if it is at /home/root when installed, right? It has to be manually corrected. ..  Ok, carry on.   
regards,
Erv Bendiks



      __________________________________________________________________
Yahoo! Canada Toolbar: Search from anywhere on the web, and bookmark your favourite sites. Download it now
http://ca.toolbar.yahoo.com.
[Message part 2 (text/html, inline)]

Severity set to `important' from `minor' Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 10 Apr 2009 10:48:05 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 09 Jun 2009 16:36:07 GMT) Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. (Tue, 09 Jun 2009 16:36:07 GMT) Full text and rfc822 format available.

Message #27 received at 488252-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 488252-close@bugs.debian.org
Subject: Bug#488252: fixed in gnome-system-tools 2.22.1-5
Date: Tue, 09 Jun 2009 16:17:13 +0000
Source: gnome-system-tools
Source-Version: 2.22.1-5

We believe that the bug you reported is fixed in the latest version of
gnome-system-tools, which is due to be installed in the Debian FTP archive:

gnome-network-admin_2.22.1-5_amd64.deb
  to pool/main/g/gnome-system-tools/gnome-network-admin_2.22.1-5_amd64.deb
gnome-system-tools_2.22.1-5.diff.gz
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5.diff.gz
gnome-system-tools_2.22.1-5.dsc
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5.dsc
gnome-system-tools_2.22.1-5_amd64.deb
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gnome-system-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Jun 2009 16:43:21 +0200
Source: gnome-system-tools
Binary: gnome-system-tools gnome-network-admin
Architecture: source amd64
Version: 2.22.1-5
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gnome-network-admin - GNOME Network Administration Tool
 gnome-system-tools - Cross-platform configuration utilities for GNOME
Closes: 460691 488249 488252
Changes: 
 gnome-system-tools (2.22.1-5) unstable; urgency=low
 .
   * Revert 2.22.1-4 change with a brown paper bag, it’s useless since
     policykit depends on consolekit.
   * 26_users_home_dir.patch: patch from Ubuntu to allow changing root
     propertiew without making /home/root the new home directory.
     Closes: #488252.
   * gnome-network-admin conflicts with network-manager-gnome.
     Closes: #460691.
   * 85_users_fix_add_group.patch: patch from Ubuntu to always allow to
     create groups. Closes: #488249.
Checksums-Sha1: 
 ed8158bc654172aba2de97f41bb6d7cb423f1778 1693 gnome-system-tools_2.22.1-5.dsc
 9b1bbc808c2641a575f4bbfa72222e3d4bb596c9 27929 gnome-system-tools_2.22.1-5.diff.gz
 e9077e2747b9c029ee697d282150047d374e9f84 4241680 gnome-system-tools_2.22.1-5_amd64.deb
 0319fd171578be2a65658461c0c94beeb4d07ecc 366236 gnome-network-admin_2.22.1-5_amd64.deb
Checksums-Sha256: 
 c4daefa3e96db87988b8eb2b8a9f39723c95ff4d9342b640c571bda35e8af329 1693 gnome-system-tools_2.22.1-5.dsc
 c11434edf0c5fd02cda1adbc7379da09cc5dfe88167253419b75c9a70a76783f 27929 gnome-system-tools_2.22.1-5.diff.gz
 e771df072c8eac1fb609d8d2bb2cea1cbc300d4382821e2c1d3c21cbaf878b12 4241680 gnome-system-tools_2.22.1-5_amd64.deb
 4f5aa8f456449eb6f35cf1b49480f51fbb4f247b00ae706240a5c9bb132c5349 366236 gnome-network-admin_2.22.1-5_amd64.deb
Files: 
 d1347c1fe236a2060462ce634285367e 1693 gnome optional gnome-system-tools_2.22.1-5.dsc
 95fe512ccda058354a043da8d46b5240 27929 gnome optional gnome-system-tools_2.22.1-5.diff.gz
 3c5953fedcc6345afed9e4e52258eb8c 4241680 gnome optional gnome-system-tools_2.22.1-5_amd64.deb
 9c5d43cc8c665ff5b4757253a89041e4 366236 gnome optional gnome-network-admin_2.22.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKLofsrSla4ddfhTMRAruCAJ9o7sqHWchYI6uDHFjTqlwnsvmH7wCeJx5d
BPrlTksvFJG48Xm1bjYyOIk=
=NUEz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jul 2009 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:50:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.